#
# spec file for package python-louis
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         build_core_not_python 0
%define         build_py3 0

%if %build_py3
%define py_suffix 3
%define __python python3
%define py_requires %{nil}
%else
%define py_suffix %{nil}
%endif

Name:           python-louis
%define _name   liblouis
Version:        2.6.4
Release:        9.1
Summary:        Braille Translator and Back-Translator - Python Bindings
License:        LGPL-3.0+
Group:          Development/Languages/Python
Url:            http://liblouis.org/
Source0:        https://github.com/liblouis/liblouis/releases/download/v2.6.4/liblouis-2.6.4.tar.gz
# PATCH-FIX-UPSTREAM 0001-Fix-possible-out-of-bounds-write-from-a-followed-by-.patch boo#1056088 boo#1016105 mgorse@suse.com -- fix possible buffer underrun when reading a table with two newlines preceded by a backslash (CVE-2017-13738 CVE-2017-13744).
Patch0:         0001-Fix-possible-out-of-bounds-write-from-a-followed-by-.patch
# PATCH-FIX-UPSTREAM 0002-resolveSubtable-Fix-buffer-overflow-parsing-a-malfor.patch boo#1056090 boo#1056093 boo#1056097 boo#1056101 mgorse@suse.com -- allocate sufficient space in a buffer (CVE-2017-13739 CVE-2017-13740 CVE-2017-13742 CVE-2017-13743).
Patch1:         0002-resolveSubtable-Fix-buffer-overflow-parsing-a-malfor.patch
# PATCH-FIX-UPSTREAM 0003-Fix-possible-use-after-free-when-calling-compileBrai.patch boo#1056095 mgorse@suse.com -- fix possible use after free when compiling a table (CVE-2017-13741).
Patch2:         0003-Fix-possible-use-after-free-when-calling-compileBrai.patch
# PATCH-FIX-UPSTREAM CVE-2018-11440.patch boo#1095189 mgorse@suse.com -- fix another buffer overflow in table parsing.
Patch3: CVE-2018-11440.patch
# PATCH-FIX-UPSTREAM CVE-2018-11577.patch boo#1095945 mgorse@suse.com -- fix yet another buffer overflow in the braille table parser.
Patch4: CVE-2018-11577.patch
# PATCH-FIX-UPSTREAM CVE-2018-11683.patch boo#1095827 mgorse@suse.com -- fix yet another buffer overflow in the braille table parser.
Patch5: CVE-2018-11683.patch
# PATCH-FIX-UPSTREAM CVE-2018-11684.patch boo#1095826 mgorse@suse.com -- fix yet another buffer overflow in the braille table parser.
Patch6: CVE-2018-11684.patch
# PATCH-FIX-UPSTREAM CVE-2018-11685.patch boo#1095825 mgorse@suse.com -- fix yet another buffer overflow in the braille table parser.
Patch7: CVE-2018-11685.patch
# PATCH-FIX-UPSTREAM CVE-2018-12085.patch boo#1097103 mgorse@suse.com -- check index before writing to result->chars.
Patch8: CVE-2018-12085.patch
%if %build_core_not_python
BuildRequires:  pkg-config
PreReq:         %install_info_prereq
BuildRequires:  fdupes
%else
BuildRequires:  liblouis-devel
BuildRequires:  python%{py_suffix}
Requires:       liblouis9 = %{version}
%py_requires
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Liblouis is an open-source braille translator and back-translator.
It features support for computer and literary braille, supports
contracted and uncontracted translation for many, many languages
and has support for hyphenation. New languages can easily be added
through tables that support a rule- or dictionary based approach.

Liblouis also supports math braille (Nemeth and Marburg). The
formatting of braille is provided by the companion project
liblouisxml.

Liblouis is based on the translation routines in the BRLTTY
screenreader for Linux. It has, however, gone far beyond these
routines. It is named in honor of Louis Braille.

Included are also tools for testing and debugging tables.

%if %build_core_not_python

%package -n liblouis9
Summary:        Braille Translator and Back-Translator - Python Bindings
# We used to have a package named liblouis, until 2.4.1.
License:        LGPL-3.0+
Group:          Development/Languages/Python
Requires:       %{name}-data >= %{version}
Provides:       %{name} = %{version}
Obsoletes:      %{name} < %{version}

%description -n liblouis9
Liblouis is an open-source braille translator and back-translator.
It features support for computer and literary braille, supports
contracted and uncontracted translation for many, many languages
and has support for hyphenation. New languages can easily be added
through tables that support a rule- or dictionary based approach.

Liblouis also supports math braille (Nemeth and Marburg). The
formatting of braille is provided by the companion project
liblouisxml.

Liblouis is based on the translation routines in the BRLTTY
screenreader for Linux. It has, however, gone far beyond these
routines. It is named in honor of Louis Braille.

%package data
Summary:        Data files for Braille Translator and Back-Translator - Python Bindings
License:        LGPL-3.0+
Group:          Development/Languages/Python
Conflicts:      liblouis2 < 2.6.4

%description data
Liblouis is an open-source braille translator and back-translator.
It features support for computer and literary braille, supports
contracted and uncontracted translation for many, many languages
and has support for hyphenation. New languages can easily be added
through tables that support a rule- or dictionary based approach.

Liblouis also supports math braille (Nemeth and Marburg). The
formatting of braille is provided by the companion project
liblouisxml.

Liblouis is based on the translation routines in the BRLTTY
screenreader for Linux. It has, however, gone far beyond these
routines. It is named in honor of Louis Braille.

This package contains data required by main package.


%package tools
Summary:        Braille Translator and Back-Translator - Tools - Python Bindings
License:        GPL-3.0+
Group:          Development/Languages/Python

%description tools
Liblouis is an open-source braille translator and back-translator.
It features support for computer and literary braille, supports
contracted and uncontracted translation for many, many languages
and has support for hyphenation. New languages can easily be added
through tables that support a rule- or dictionary based approach.

Liblouis also supports math braille (Nemeth and Marburg). The
formatting of braille is provided by the companion project
liblouisxml.

Liblouis is based on the translation routines in the BRLTTY
screenreader for Linux. It has, however, gone far beyond these
routines. It is named in honor of Louis Braille.

%package doc
Summary:        Braille Translator and Back-Translator - Documentation - Python Bindings
License:        LGPL-3.0+
Group:          Development/Languages/Python

%description doc
Liblouis is an open-source braille translator and back-translator.
It features support for computer and literary braille, supports
contracted and uncontracted translation for many, many languages
and has support for hyphenation. New languages can easily be added
through tables that support a rule- or dictionary based approach.

Liblouis also supports math braille (Nemeth and Marburg). The
formatting of braille is provided by the companion project
liblouisxml.

Liblouis is based on the translation routines in the BRLTTY
screenreader for Linux. It has, however, gone far beyond these
routines. It is named in honor of Louis Braille.

%package devel
Summary:        Braille Translator and Back-Translator - Development Files - Python Bindings
License:        LGPL-3.0+
Group:          Development/Languages/Python
Requires:       liblouis9 = %{version}

%description devel
Liblouis is an open-source braille translator and back-translator.
It features support for computer and literary braille, supports
contracted and uncontracted translation for many, many languages
and has support for hyphenation. New languages can easily be added
through tables that support a rule- or dictionary based approach.

Liblouis also supports math braille (Nemeth and Marburg). The
formatting of braille is provided by the companion project
liblouisxml.

Liblouis is based on the translation routines in the BRLTTY
screenreader for Linux. It has, however, gone far beyond these
routines. It is named in honor of Louis Braille.

%endif

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
%configure --disable-static
make %{?_smp_mflags}
%if !%build_core_not_python
pushd python
%{__python} setup.py build
popd
%endif

%install
%if %build_core_not_python
%make_install
# doc is only auto-installed when makeinfo is present
%make_install -C doc
find %{buildroot} -type f -name "*.la" -delete -print
# We'll package them as rpm docs
%{__rm} -f %{buildroot}%{_datadir}/doc/liblouis/liblouis.{html,txt}
%fdupes %{buildroot}%{_datadir}
%fdupes %{buildroot}%{_libdir}
%else
pushd python
%{__python} setup.py install --skip-build --root="%{buildroot}" --prefix="%{_prefix}"
popd
%endif

%if %build_core_not_python

%post doc
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun doc
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%post -n liblouis9 -p /sbin/ldconfig

%postun -n liblouis9 -p /sbin/ldconfig

%files -n liblouis9
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING.LESSER NEWS README
%{_libdir}/*.so.*

%files data
%defattr(-, root, root)
%{_datadir}/liblouis/

%files tools
%defattr(-, root, root)
%doc COPYING
%{_bindir}/lou_*

%files doc
%defattr(-, root, root)
%doc doc/liblouis.html doc/liblouis.txt
%{_infodir}/%{name}.info.gz

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/liblouis
%else

%files
%defattr(-, root, root)
%{python_sitelib}/louis*.egg-info
%{python_sitelib}/louis
%endif

%changelog
* Wed Aug  8 2018 mgorse@suse.com
- Add various security fixes:
  CVE-2018-11440.patch (boo#1095189 CVE-2018-11440)
  CVE-2018-11577.patch (boo#1095945 CVE-2018-11577)
  CVE-2018-11683.patch (boo#1095827 CVE-2018-11683)
  CVE-2018-11684.patch (boo#1095826 CVE-2018-11684)
  CVE-2018-11685.patch (boo#1095825 CVE-2018-11685)
  CVE-2018-12085.patch (boo#1097103 CVE-2018-12085)
* Wed Sep  6 2017 mgorse@suse.com
- Add patches to fix several CVEs, backported from upstream
  (boo#1056088 boo#1056090 boo#1056093 boo#1056095 boo#1056097
  boo#1056101 boo#1056105 CVE-2017-13738 CVE-2017-13739
  CVE-2017-13740 CVE-2017-13741 CVE_2017-13742 CVE-2017-13743
  CVE-2017-13744):
  0001-Fix-possible-out-of-bounds-write-from-a-followed-by-.patch
  0002-resolveSubtable-Fix-buffer-overflow-parsing-a-malfor.patch
  0003-Fix-possible-use-after-free-when-calling-compileBrai.patch
* Mon Jun  6 2016 dimstar@opensuse.org
- Move %%install_info_delete from postun to preun.
- Drop makeinfo BuildRequires: it's quite a big dependency and
  the .info file is present in the tarball.
- Install doc directly (make_install -C doc).
* Thu Apr 14 2016 mgorse@suse.com
- Update to GNOME 3.20  Fate#318572
* Tue Jan 19 2016 jengelh@inai.de
- Use %%{?_smp_mflags} for parallel build, newer %%make_install
  for installation, and remove redundant %%clean section.
* Mon Jan 11 2016 fcrozat@suse.com
- Move data from library package to separate subpackage, to ensure
  library package can be safely upgraded.
* Wed Oct 21 2015 zaitor@opensuse.org
- Update to version 2.6.4:
  + New features: YAML based harness tests. Harness tests can now
    be written in simple YAML notation and they are integrated with
    the normal `make check' command. They can be used for both ucs2
    and ucs4 and no Python is required.
  + Bug fixes:
  - Use a separate gnulib instance for the library and the tools.
    Use the strndup module to avoid build problems on windows.
  - Fix a problem with the nocross opcode when used in
    combination with the opcodes nocont and compbrl.
  - Fix a problem with the decoding of the harness test files.
  - Fix numerous problems in the way braille indicators are
    handled. There is now a safe version of the checkAttr
    function which makes sure that no attributes are checked
    beyond the boundaries of the currentInput. This fixes the
    random behavior with tests where the emphasis extends to the
    end of the input string.
  + Other changes:
  - If found use texi2any to build the documentation.
  - Fix permissions of Korean tables.
  - Update the windows build instructions.
  + Braille table improvements:
- Changes from version 2.6.3:
  + New features:
  - [beta] The new function lou_findTable can be used for table
    discovery based on meta data in table headers.
  - The Python API now has a new function to check tables aptly
    named ~checkTable~.
  + Bug fixes: Fixed a problem in resolveTable when using a Java
    resolver.
  + Other changes: The build dependency on makeinfo is now
    optional. If it is not installed we simply do not build the
    documentation.
  + Braille table improvements.
  + Corrections and improvements made to UEB tables.
- Changes from version 2.6.2:
  + New features: Harness tests now can test for typeform
    differences.
  + Bug fixes: Fix for emphasis bug.
  + Braille table improvements.
- Changes from version 2.6.1:
  + New features: New Braille tables.
  + Braille table improvements.
  + Bug fixes: Fix a compiler warning in the logging code.
  + Documentation updates: The documentation has been restructured
    to be more beginner friendly and a short introduction to
    translation table writing has been added.
  + Other changes:
  - When compiling with mingw or cygwin resulting dll is
    liblouis.dll.
  - runHarness.py: add new output format, compact output mode
    suitable for grepping.
  + Backwards incompatible changes:
  - Deleted ga.ctb now superseded by ga-g1.utb and ga.g2.ctb.
  - Nl-Nl-g1.utb has been removed. It is superseded by
    nl-NL-g1.ctb.
  - nl-be-g1.utb has been removed. It is superseded by
    nl-BE-g1.ctb.
- Changes from version 2.6.0:
  + New features:
  - New Braille tables.
  - Logging callback. There is now a callback system in place to
    get error messages and warnings.
  + Bug fixes:
  - Fix back translation problems when word gets split in unusual
    places causing back translation of whole words.
  - Fixed bug to prevent removal of \xffff between largesign
    rules.
  - Fixed a bug in back translation, when a letsign was
    encountered, the letsign was being applied beyond the element
    it applied to.
  - Fix memory leaks in the default table resolver introduced in
    the previous release.
  - Fixes to the build system.
  + Braille table improvements.
- Bump soname following upstream changes, leading to rename of
  package liblouis2 to liblouis9.
- Update url and sourceurl to new working ones.
- Add exlicit makeinfo BuildRequires, we want to build
  documentation.
* Thu Mar 27 2014 mgorse@suse.com
-Update to version 2.5.4:
  + New features
  - Added function lou_registerTableResolver for plugging in a
    table resolver callback from your host language.
  + Bug Fixes
  - Fixed ENDSEGMENT indicator in computer Braille.
  - Emphasized words should now be contracted consistently.
  - Fixed several problems with back-translation. A slash within
    a number and strings such as 5-inch-diameter and
    25-year-old-man should now back-translate correctly.
  - Fixed a problem with syllable opcode.
  - Fix warnings with gcc 4.8.2.
  - When a table is specified with an absolute or relative path,
    the "includes" in that table will now work as expected,
    meaning files in the same directory will be found.
  + Braille Table Improvements to fr-bfu-comp8, en-us-g2,
    en-ueb-g2, BUlgarian, en-gb-g1, Nemeth, Slovenian, Norwegian,
    Nepali, Danish.
  + Backwards incompatible changes
  - Delete the table chardefs-ueb.cti as these rules are now
    provided by en-ueb-chardefs.uti
- Update source URL.
- COPYING.LIB has been renamed to COPYING.LESSER
- Use fdupes for base package.
* Sat Jun 22 2013 zaitor@opensuse.org
- Update to version 2.5.3:
  + New features:
  - New Braille tables.
    . Korean grade 1 and grade 2.
    . U.K. English 8 dot computer braille table.
    . New Russian literary and computer braille tables. These
    replace the older Russian tables which are left for
    backwards compatibility.
    . New hyphenation dictionary for Russian.
    . Updated hyphenation tables for the Norwegian language
    (nynorsk and bokmål).
    . New hyphenation dictionary for Esperanto.
    . New Esperanto grade 1 table, using the x system for
    accented letters.
  - runHarness.py:
    . Accept filename globs on the commandline to run specific
    harness files. In tests/harness, one can do make <filename>
    or make runall Removed from make check because these checks
    are checking the validity of our tables, rather than
    validity of the code.
  + Braille Table Improvements:
  - da-dk-g2.ctb, mostly rewritten to use nocross and hyphenation
    table.
  - Most tables: removed the default collapse whitespace
    statements, if you need to compress whitespace, consider
    adding compress.ctb to the list of tables when processing.
  - Corrections to Unified English Braille Code (Grade 1 and 2).
  - Corrections to apostrophes in the Computer Spanish 8 dots
    Braille table (Es-Es-G0.utb).
  - Corrections for double angle quotation marks and emphasis
    marks in the Norwegian Grade 0 Braille Table.
  - Fixes for a minor problem regarding the noletsign in
    Norwegian contracted braille.
  - Corrections to the Italian table.
  - Corrections to the Hungarian grade 1 table.
  - Corrections to English, U.S. Grade 2 (ABAE) table.
  - Further reorganization of the tables to remove duplication.
    Move litdigit opcode common parts and include where needed.
  - Removed obsolete en-us-g1.utb, which has been replaced by
    en-us-g1.ctb.
  - Added dictionary harness tests for: en-ueb-g2.ctb,
    en-us-g2.ctb.
  - Corrections to Nemeth character definitions.
  - Corrections to the Esperanto table.
  + Bug Fixes:
  - Cursor position calculation is now based on the same code
    that calculates inpos and outpos. This probably solves a
    number of bugs.
  - Fix nocross opcode processing.
  - Fix several buffer over/under runs in
    lou_translateString.c:hyphenate.
  - Fix the '=' problem, i.e. fix inputPositions calculation for
    the case where the equals sign is used as the dots operand.
  - Fix a bug when resizing a table. Previously not all
    references to this table were updated.
  + Backwards incompatible changes:
  - The feature that allowed a mapping between language code and
    Braille table was removed as it contained a out-of-bounds
    access bug, was never documented and probably never used.
* Sat Jan 12 2013 dimstar@opensuse.org
- Add python3-louis target.
* Sun Dec 23 2012 zaitor@opensuse.org
- Update to version 2.5.2:
  + New features:
  - New tool to trace rule application (lou_trace).
  - New Braille tables
    . Inuktitut grade 1.
    . UEB grade 1 and 2.
    . Korean table.
  - Braille Table Improvements
  - da-gk-g2.ctb, fixes for transposed â, å, æ, ä, ø  and ö,
    corrected/improved harness tests.
  - Corrections for en-GB-g2.ctb.
  - Corrections to the Hungarian grade 1 table.
  + Bug Fixes:
  - Update gnulib.
  - Fix a bug in the correct opcode which causes sometimes random
    results when translating.
  - Fixes for compiler warnings.
  - Fix some Valgrind warnings about invalid reads.
* Tue Sep 25 2012 dimstar@opensuse.org
- Update to version 2.5.1:
  + Braille Table Improvements
  - Fix encoding problem in italian table and added more
    character definitions.
  - Rename it-it-g1.utb to it-it-comp6.utb and it-it-g1.utb2 to
    it-it-comp8.utb.
  + Bug fixes:
  - Fix outputPos and inlen where an input character generates
    multiple output characters.
* Mon Sep 17 2012 dimstar@opensuse.org
- Update to version 2.5.0:
  + New features:
  - New Braille tables
    . Estonian grade 0
    . Portuguese 8 dot Computer braille
  - UTF-8 support in tables
  - Improvements to the python bindings
  - Add a doctest infrastructure
  - Support for Python 3 in the Python bindings
  + Improved C-based test framework
  + Improved documentation
  + Braille table improvements
  + Bug fixes
- Remove checks for outdated openSUSE versions (<= 11.2).
* Mon Sep 10 2012 vuntz@opensuse.org
- Create a tools and a doc subpackages to contain the tools and
  documentation shipped by liblouis, instead of having a liblouis
  subpackage, since that's confusing (because what people are
  usually interested is the liblouis2 subpackage).
- Ship COPYING.LIB in liblouis2 subpackage and COPYING in the tools
  subpackage since everything is LGPL-3.0+, except the tools that
  are GPL-3.0+. That fixes bnc#779253.
- Since we don't have a liblouis subpackage anymore, add Provides
  and Obsoletes for it to liblouis2 for smooth upgrades.
* Fri Feb 24 2012 vuntz@opensuse.org
- Update to version 2.4.1:
  + New features:
  - Czech hyphenation table
  - Spanish grade 1 table
  - New tamil table
  + Braille Table Improvements: Icelandic 8-dot, Norwegian,
    Portuguese grade1, uncontracted Spanish.
- Changes from version 2.4.0:
  + New features:
  - New Generic Farsi Grade 1 table
  - Emacs mode for editing Braille tables
  + Braille Table Improvements: Czech, French comp6 and comp8,
    Generic Arabic Grade 1, Romanian.
* Sun May 22 2011 dimstar@opensuse.org
- Update to version 2.3.0:
  + New features:
  - Multiple table search path (with LOUIS_TABLEPATH environment
    variable)
  - New --quiet option for lou_checktable
  - New functions to make libraries relocatable
  - New Braille tables: Swedish, Sorani (Kurdish), Ethiopic,
    Serbian, many Indian languages , Icelandic 6- and 8-dot,
    Catalan, Dutch Braille (for Belgium and the Netherlands),
    Flemish Braille Math Code (a.k.a. Woluwe code).
  + Braille Table Improvements: Chinse, Spanish Braille, French 6
    and 8 dot, Italian 8 dot, Generic Arabic Grade 1, Spanish,
    Norwegian.
  + Bug fixes:
  - Fixed a long standing bug with an infinite loop in the table
    compiler
  + Improved documentation
- Add pkg-config BuildRequires to get proper pkgconfig() provides.
* Sat Aug 28 2010 vuntz@opensuse.org
- Update to version 2.1.1:
  + Bug fixes:
  - Fixed problems with the Danish grade 2 table
  - Fixed problems with the Marburg maths table for mathematics
    and the UK maths table for mathematics
- Changes from version 2.1.0:
  + New features:
  - New tables:
    . Added tables for Portuguese grade 1 and 2
    . Added unicode.dis for Unicode braille
  - Modified tables: Updated Danish tables
  - Implemented language to table mapping
  - New format of error messages: the error messages are now
    reported in a format similar to the one used in gcc.
  - New opcode: added undefined opcode
  - Python bindings:
    . Allow the user to configure the maximum output length by
    specifying a number by which the input length is multiplied
    using the outlenMultiplier module variable.
    . Add compbrlLeftCursor mode constant.
    . Add compileString function which wraps lou_compileString.
    . Corrections/clarifications to docstrings.
    . Add python binding for the lou_hyphenate function.
    . Added python wrapper for lou_backTranslateString and
    lou_backTranslate.
  - Add liblouisxslt as an example to python/examples.
  - Add compbrlLeftCursor.
  + Bug fixes:
  - Fix the output cursorPos when the compbrlAtCursor mode is
    enabled and the characters around the cursor translate to
    multiple braille cells, such as in the Chinese braille
    tables.
  - Fix outpos when doing back translation
  - Fix the input/output position arrays for characters in the
    input which are undefined in the translation table.
  - Table fixes:
    . Fixed a bug with back translation of '*n'.
    . Fixes to the en-us-g2.ctb table
  - Python bindings:
    . Remove unnecessary imports, allowing the bindings to run in
    Python 2.7.
    . lou_translate* writes output information in typeform, so
    allocate enough bytes for it. Fixes possible buffer
    overruns and resultant crashes.
  - Miscellaneous:
    . Fixes to the man page generation to fix issues
    . Do not invoke help2man when cross-compiling
    . Documentation updates (issue 10)
    . Removing noletsign defaults
    . Many small fixes
- Changes from version 2.0.0:
  + New function: Adding lou_charSize function
- Changes from version 1.9.0:
  + New functions:
  - lou_dotsToChar and lou_charToDots function
  - Added lou_compileString for adding entries to tables at
    run-time.
* Wed Dec  2 2009 vuntz@opensuse.org
- Update to version 1.8.0:
  + This release contains a number of improvements notably the
    integrationof gnulib, the automatic generation of man pages and
    the addition of tables for German grade 2.
  + New features
  - New tables
    . Tables German Grade 2
    . Swiss German
  - Modified tables
    . Updated Norwegian tables
  - man pages
    . All tools accept the --version and --help options and are
    documented in man pages
  - Corpus based test cases for tables
  + Bug fixes
  - Many small fixes
- Rename liblouis0 subpackage to liblouis2, because of soname bump.
* Fri Aug 28 2009 vuntz@novell.com
- Fix python-louis build: with the new upstream release, we now
  need to build the library before building the python bindings.
* Fri Aug 21 2009 captain.magnus@opensuse.org
- Update to version 1.7.0:
  + The main new feature of this release is the support for UK and
    Marburg math. Other changes include a new tool to check
    hyphenation and the usual improvement and addition of tables.
    Also The test suite has been enhanced and finally passes
  + Fix for library name and Python bindings
  + Documentation fixes
  + Many small fixes
- Remove liblouis-build-fix.patch. Fixed upstream
- Remove liblouis-dlopen-versioned.patch. Code changed
* Fri Aug 21 2009 vuntz@novell.com
- Add liblouis-dlopen-versioned.patch to have the python bindings
  open the versioned .so library, so that they don't require the
  devel package.
- Make python-louis require liblouis0.
* Thu Aug 13 2009 vuntz@novell.com
- Use python_sitelib instead of py_sitedir.
* Thu Jul 30 2009 vuntz@novell.com
- Initial package.
